require 'rails_helper'

RSpec.describe "bots/show", type: :view do
  before(:each) do
    assign(:bot, Bot.create!(
      name: "Name",
      telegram_api_token: "Telegram Api Token",
      discord_api_token: "Discord Api Token",
      user: nil,
      profile: nil
    ))
  end

  it "renders attributes in <p>" do
    render
    expect(rendered).to match(/Name/)
    expect(rendered).to match(/Telegram Api Token/)
    expect(rendered).to match(/Discord Api Token/)
    expect(rendered).to match(//)
    expect(rendered).to match(//)
  end
end
